Show vulnerabilities with patch / with exploit

Information disclosure in Huawei USG9500



Published: 2020-01-15
Severity Low
Patch available YES
Number of vulnerabilities 1
CVE ID CVE-2019-19411
CWE ID CWE-310
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
USG9500
Hardware solutions / Routers & switches, VoIP, GSM, etc

Vendor Huawei

Security Advisory

This security advisory describes one low risk vulnerability.

1) Cryptographic issues

Severity: Low

CVSSv3: 3.2 [CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:N/E:U/RL:O/RC:C]

CVE-ID: CVE-2019-19411

CWE-ID: CWE-310 - Cryptographic Issues

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to improper processing of the initialization vector used in a specific encryption algorithm. A remote attacker who gains access to this cryptographic primitive can cause the value of the confidentiality associated with its use is diminished.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

USG9500: V500R001C30SPC100, V500R001C30SPC200, V500R001C30SPC600, V500R001C60SPC500, V500R005C00SPC100, V500R005C00SPC200

CPE External links

https://www.huawei.com/en/psirt/security-advisories/huawei-sa-20200115-01-firewall-en

Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote non-authenticated attacker via the Internet.

How the attacker can exploit this vulnerability?

The attacker would have to send a specially crafted request to the affected device in order to exploit this vulnerability.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.